Довідник API
GET /v1/webhooks
List webhook subscriptions
List webhook subscriptions
Subscriptions of the tenant (secrets are never returned). Requires scope write:deals.
- Автентифікація: заголовок
Authorization: Bearer rv_live_...(API-ключі та scopes) - Потрібний scope:
write:deals
Опис операції, параметрів і полів походить зі специфікації OpenAPI (
openapi.json) і подається англійською, як у самому API.Відповіді
200
Subscriptions.
application/json · Схема: WebhookList
| Поле | Тип | Обов’язк. | Опис |
|---|---|---|---|
items | object[] | так | |
items[].id | string (uuid) | ні | |
items[].url | string | ні | |
items[].description | string | null | ні | |
items[].events | string[] | ні | |
items[].enabled | boolean | ні | |
items[].secretPrefix | string | null | ні | First characters of the signing secret, to tell secrets apart. The full secret is never shown again. |
items[].failureCount | integer | ні | |
items[].lastSuccessAt | string | null | ні | ISO 8601 date-time (UTC). |
items[].lastFailureAt | string | null | ні | ISO 8601 date-time (UTC). |
400
Invalid request parameters or body (code validation_error).
application/problem+json · Схема: Problem
401
Missing, malformed, unknown, revoked or expired API key (code unauthorized).
application/problem+json · Схема: Problem
403
The API key lacks the scope required by this endpoint (code insufficient_scope).
application/problem+json · Схема: Problem
429
Rate limit exceeded for the tenant plan (code rate_limited). Wait Retry-After seconds.
application/problem+json · Схема: Problem